import java.awt.*;

public class Math2 extends Object
{
	private Math2() {}								// ̉s

	public static double trimRadian(double angle)
	{
		if (angle>=0.0)
		{
			return angle%(Math.PI*2.0);
		}
		else if (angle<=0.0)
		{
			return angle+(1.0-angle/(Math.PI*2.0))*(Math.PI*2.0);
		}
		else return Double.NaN;
	}

	public static double signum(double i)
	{
		return (i==0.0 ? 0.0 : i/Math.abs(i));
	}

	public static float signum(float i)
	{
		return (i==0.0f ? 0.0f : i/Math.abs(i));
	}

	public static int signum(int i)
	{
		return (i==0 ? 0 : i/Math.abs(i));
	}

	public static long signum(long i)
	{
		return (i==0 ? 0 : i/Math.abs(i));
	}
}
